Bug 1505654 - Missing libvxhs share-able object file when try to query vxhs protocol
Summary: Missing libvxhs share-able object file when try to query vxhs protocol
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jeff Cody
QA Contact: CongLi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-24 05:27 UTC by Han Han
Modified: 2018-04-11 00:45 UTC (History)
17 users (show)

Fixed In Version: qemu-kvm-rhev-2.10.0-13.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-11 00:44:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1104 None None None 2018-04-11 00:45:48 UTC

Description Han Han 2017-10-24 05:27:08 UTC
Description of problem:
As subject

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.10.0-3.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. # qemu-img info vxhs:                    
qemu-img: Could not open 'vxhs:': error loading libvxhs: /usr/lib64/qemu/libvxhs.so.1: cannot open shared object file: No such file or directory

Or query a invalid vxhs server
# qemu-img info vxhs://8.8.8.8:1002/xx   
qemu-img: Could not open 'vxhs://8.8.8.8:1002/xx': error loading libvxhs: /usr/lib64/qemu/libvxhs.so.1: cannot open shared object file: No such file or directory


Actual results:
As above

Expected results:
No missing so file


Additional info:

Comment 3 CongLi 2017-12-06 09:10:43 UTC
(In reply to Han Han from comment #0) 
> Steps to Reproduce:
> 1. # qemu-img info vxhs:                    
> qemu-img: Could not open 'vxhs:': error loading libvxhs:
> /usr/lib64/qemu/libvxhs.so.1: cannot open shared object file: No such file
> or directory
> 
> Or query a invalid vxhs server
> # qemu-img info vxhs://8.8.8.8:1002/xx   
> qemu-img: Could not open 'vxhs://8.8.8.8:1002/xx': error loading libvxhs:
> /usr/lib64/qemu/libvxhs.so.1: cannot open shared object file: No such file
> or directory

It needs 3rd party library libvxhs which is written by Veritas.

# qemu-img info vxhs:
qemu-img: Could not open 'vxhs:': Parameter 'vdisk-id' is missing

For qemu-img info vxhs://8.8.8.8:1002/xx, qemu-img will try to connect 8.8.8.8.


Hi Jeff,

Could you please help confirm it ?

Thanks.

Comment 12 Miroslav Rezanina 2017-12-19 16:21:41 UTC
Fix included in qemu-kvm-rhev-2.10.0-13.el7

Comment 13 CongLi 2017-12-20 01:26:09 UTC
Verified on:
qemu-kvm-rhev-2.10.0-13.el7.x86_64

# qemu-img info vxhs:
qemu-img: Could not open 'vxhs:': The VXHS library from Veritas might not be installed correctly (/usr/lib64/qemu/libvxhs.so.1: cannot open shared object file: No such file or directory)

# qemu-img info vxhs://8.8.8.8:1002/xx
qemu-img: Could not open 'vxhs://8.8.8.8:1002/xx': The VXHS library from Veritas might not be installed correctly (/usr/lib64/qemu/libvxhs.so.1: cannot open shared object file: No such file or directory)


The error info is clear now, set this bug to 'VERIFIED'.

Thanks.

Comment 15 errata-xmlrpc 2018-04-11 00:44:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1104


Note You need to log in before you can comment on or make changes to this bug.